> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connector Documents

> List documents available from a connector for the authenticated user.



## OpenAPI

````yaml post /api/v1/connectors/{connector_type}/list
openapi: 3.1.0
info:
  title: EDN Memory Engine
  version: 0.1.0
servers:
  - description: EDN evaluation endpoint
    url: https://api.tensorpro.ai
security:
  - EDNApiKey: []
paths:
  /api/v1/connectors/{connector_type}/list:
    post:
      summary: List Connector Documents
      description: List documents available from a connector for the authenticated user.
      operationId: list_connector_documents_api_v1_connectors__connector_type__list_post
      parameters:
        - in: path
          name: connector_type
          required: true
          schema:
            title: Connector Type
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectorListRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ConnectorListRequest:
      properties:
        credentials:
          additionalProperties: true
          title: Credentials
          type: object
        page_size:
          default: 20
          title: Page Size
          type: integer
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
      required:
        - credentials
      title: ConnectorListRequest
      type: object
    ConnectorListResponse:
      properties:
        count:
          title: Count
          type: integer
        documents:
          items:
            $ref: '#/components/schemas/ConnectorDocumentSummary'
          title: Documents
          type: array
      required:
        - documents
        - count
      title: ConnectorListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConnectorDocumentSummary:
      properties:
        external_id:
          title: External Id
          type: string
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        mime_type:
          title: Mime Type
          type: string
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        title:
          title: Title
          type: string
      required:
        - title
        - source_url
        - mime_type
        - external_id
        - metadata
      title: ConnectorDocumentSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    EDNApiKey:
      description: >-
        EDN API key presented as 'Bearer <key>' in the Authorization header.
        Create and manage keys from the Console.
      in: header
      name: Authorization
      type: apiKey

````